## WebKitVersion WebKitVersion — Provides the WebKit version |

## Functions

guint | webkit_get_major_version ()
guint | webkit_get_minor_version ()
guint | webkit_get_micro_version ()
#define | WEBKIT_CHECK_VERSION()

## Types and Values

#define | WEBKIT_MAJOR_VERSION
#define | WEBKIT_MINOR_VERSION
#define | WEBKIT_MICRO_VERSION

## Description

Provides convenience functions returning WebKit's major, minor and micro versions of the WebKit library your code is running against. This is not necessarily the same as the WEBKIT_MAJOR_VERSION, WEBKIT_MINOR_VERSION or WEBKIT_MICRO_VERSION, which represent the version of the WebKit headers included when compiling the code.

## Functions

### webkit_get_major_version ()

    guint
    webkit_get_major_version (void);

Returns the major version number of the WebKit library. (e.g. in WebKit version 1.8.3 this is 1.)

This function is in the library, so it represents the WebKit library your code is running against. Contrast with the WEBKIT_MAJOR_VERSION macro, which represents the major version of the WebKit headers you have included when compiling your code.

#### Returns

the major version number of the WebKit library

### webkit_get_minor_version ()

    guint
    webkit_get_minor_version (void);

Returns the minor version number of the WebKit library. (e.g. in WebKit version 1.8.3 this is 8.)

This function is in the library, so it represents the WebKit library your code is running against. Contrast with the WEBKIT_MINOR_VERSION macro, which represents the minor version of the WebKit headers you have included when compiling your code.

#### Returns

the minor version number of the WebKit library

### webkit_get_micro_version ()

    guint
    webkit_get_micro_version (void);

Returns the micro version number of the WebKit library. (e.g. in WebKit version 1.8.3 this is 3.)

This function is in the library, so it represents the WebKit library your code is running against. Contrast with the WEBKIT_MICRO_VERSION macro, which represents the micro version of the WebKit headers you have included when compiling your code.

#### Returns

the micro version number of the WebKit library

### WEBKIT_CHECK_VERSION()

    #define             WEBKIT_CHECK_VERSION(major, minor, micro)

#### Parameters

major | major version (e.g. 1 for version 1.2.5) |
minor | minor version (e.g. 2 for version 1.2.5) |
micro | micro version (e.g. 5 for version 1.2.5) |

#### Returns

`TRUE` if the version of the WebKit header files is the same as or newer than the passed-in version.

## Types and Values

### WEBKIT_MAJOR_VERSION

    #define WEBKIT_MAJOR_VERSION (2)

Like `webkit_get_major_version()`, but from the headers used at application compile time, rather than from the library linked against at application run time.

### WEBKIT_MINOR_VERSION

    #define WEBKIT_MINOR_VERSION (25)

Like `webkit_get_minor_version()`, but from the headers used at application compile time, rather than from the library linked against at application run time.

### WEBKIT_MICRO_VERSION

    #define WEBKIT_MICRO_VERSION (4)

Like `webkit_get_micro_version()`, but from the headers used at application compile time, rather than from the library linked against at application run time.